datablock ParticleData(ShoppingGoKartParticle)
{
   textureName          = "base/data/particles/cloud";
   dragCoefficient      = 0.0;
   windCoefficient      = 0.0;
   gravityCoefficient   = -0.2; 
   inheritedVelFactor   = 0.2;
   lifetimeMS           = 2000;
   lifetimeVarianceMS   = 0;
   useInvAlpha = true;
   spinRandomMin = 0.0;
   spinRandomMax = 0.0;

   colors[0]     = "0.7 0.7 0.7 0.2";
   colors[1]     = "0.5 0.5 0.5 0.1";
   colors[1]     = "0 0 0 0.0";

   sizes[0]      = 0.5;
   sizes[1]      = 0.8;
   sizes[1]      = 2.5;

   times[0]      = 0.0;
   times[1]      = 0.5;
   times[1]      = 1.0;
};

datablock ParticleEmitterData(ShoppingGoKartEmitter)
{
   ejectionPeriodMS = 10;
   periodVarianceMS = 0;
   ejectionVelocity = 0.5;
   velocityVariance = 0.0;
   ejectionOffset   = 0.1;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "ShoppingGoKartParticle";
};

datablock ParticleData(ShoppingGoKartTireParticle)
{
   dragCoefficient      = 3;
   windCoefficient     = 0;
   gravityCoefficient   = 1;
   inheritedVelFactor   = 0.0;
   constantAcceleration = 0.0;
   spinRandomMin = -90;
   spinRandomMax = 90;
   lifetimeMS           = 900;
   lifetimeVarianceMS   = 0;
   textureName          = "base/data/particles/chunk";
   colors[0]     = "0.1 0.1 0.1 1";
   colors[1]     = "0.1 0.1 0.1 0";
   sizes[0]      = 0.4;
   sizes[1]      = 0.05;
};

datablock ParticleEmitterData(ShoppingGoKartTireEmitter)
{
   ejectionPeriodMS = 2;
   periodVarianceMS = 0;
   ejectionVelocity = 0.5;
   velocityVariance = 0.0;
   ejectionOffset   = 0.1;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "ShoppingGoKartTireParticle";
};

datablock ShapeBaseImageData(ShoppingGoKartImage1)
{
   shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 3;
   rotation = "1 0 0 -90";

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
	stateEmitter[1]					= ShoppingGoKartEmitter;
	stateEmitterTime[1]				= 10000;

};
datablock ShapeBaseImageData(ShoppingGoKartImage2)
{
   	shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 4;
   	rotation = "1 0 0 -90";

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
	stateEmitter[1]					= ShoppingGoKartEmitter;
	stateEmitterTime[1]				= 10000;

};

function ShoppingGoKartSmokeCheck(%obj)
{
  %obj.mountImage(ShoppingGoKartImage1,2);
  %obj.mountImage(ShoppingGoKartImage2,3);
}
